/* media queries */

/* laptops */
@media (min-width: 769px) and (max-width: 1024px) {
  body {
    margin: 0 auto;
    padding: 0;
    width: 100%;
    height: 120vh;
  }

  .topbar {
    width: 100%;
    background-color: #22212d;
    padding: 20px 22px;
  }

  nav {
    margin: 0 auto;
    padding: 20px 30px;
  }

  nav li a {
    color: #1d1d1d;
    font-size: 13px;
  }

  .logo img {
    width: 200px;
  }

  .icon-text img {
    width: 15px;
    height: 15px;
  }

  #col-hero img {
    width: 15px;
    height: 15px;
    margin-inline-end: 7px;
  }

  #col-heroes {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: flex-end;
  }

  .icon-text span {
    font-size: 9px;
  }

  /* content */

  /* layer1 */
  #layer1 {
    max-height: 100%;
  }

  .background {
    height: 75%;
  }

  .content {
    height: 75%;
    padding: clamp(150px, 2vw, 50px) clamp(15px, 4vw, 40px); /* top/bottom left/right */
    margin: 0;
  }

  .header {
    text-align: center;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    padding: 0;
  }

  .header p {
    text-align: center;
    margin: 0 auto;
    /* padding-top: 80px; */
    font-size: clamp(1.8125rem, 0.4732rem + 3.5714vw, 2.1875rem);
  }

  .text {
    margin-top: 10px;
  }

  .header span {
    font-size: clamp(0.9375rem, 0.7143rem + 0.5952vw, 1rem);
  }

  .box-container {
    justify-content: center;
    align-items: center;
    text-align: center;
  }

  .box {
    width: 85px;
    height: 85px;
  }
  .box-text {
    font-size: clamp(0.9375rem, 0.7143rem + 0.5952vw, 1rem);
  }

  /* clients */
  .clients {
    height: 280px;
    padding: 40px 5px;
    margin: 0 auto;
  }

  .clients:before,
  .clients:after {
    width: 200px;
    height: 100%;
  }

  /* product */
  .product {
    margin: 0 auto;
    padding: clamp(150px, 2vw, 50px) clamp(15px, 4vw, 40px);
    width: 100%;
    height: auto;
  }

  .product-title {
    width: 100%;
    height: auto;
  }
  .product-title p {
    font-size: clamp(0.9375rem, -1.9643rem + 7.7381vw, 1.75rem);
  }
  .card {
    margin-bottom: 20px;
  }

  /* about us */
  .about-us {
    width: 100%;
    height: auto;
    padding: 0;
    margin: 0 auto;
  }

  #row-details {
    width: 100%;
    margin: 0 auto;
    padding: 20px 100px;
  }

  footer {
    margin: 0 auto;
    /* padding: 20px 50px; */
    padding: clamp(150px, 2vw, 50px) clamp(15px, 4vw, 40px);
    height: auto;
  }

  #footer-row {
    margin: 0 auto;
    padding: 0;
    width: 0 auto;
    padding: 0;
  }

  .text-align-end p {
    text-align: center;
  }

  .responsive-align {
    text-align: center;
  }

  .card-responsive {
    margin-bottom: 1.5rem;
  }
  /* shop */
  .shop {
    margin: 0 auto;
    padding: 50px 30px;
    height: auto;
    width: 100%;
  }

  .card-responsive {
    margin-bottom: 1.5rem;
  }

  /* faqs */

  .faqs {
    margin: 0 auto;
    padding: 50px 30px;
    height: auto;
    width: 100%;
  }

  .faqs p {
    font-size: clamp(0.9375rem, -1.9643rem + 7.7381vw, 1.75rem);
  }

  .nav-tabs {
    padding: 15px;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
  }

  .nav-tabs .nav-link {
    font-size: clamp(0.625rem, -0.5064rem + 3.012vw, 0.9375rem);
  }


  /* contact us */

  .contact_us {
    margin: 0 auto;
    padding: 50px 30px;
    width: 100%;
    height: auto;
  }

  .contact_us p {
    font-size: clamp(0.625rem, -8.4262rem + 24.0964vw, 3.125rem);
  }

  #row-info p {
    font-size: clamp(0.625rem, -3.9006rem + 12.0482vw, 1.875rem);
  }
  #row-info span {
    font-size: clamp(0.625rem, -1.6378rem + 6.0241vw, 1.25rem);
  }
  .contact_us span {
    font-size: clamp(0.9375rem, -1.9643rem + 7.7381vw, 1.75rem);
  }

  .iframe {
    padding: 20px 20px;
    width: 100%;
  }

  .iframe iframe {
    width: 100%;
    height: 100%;
    border: 0;
  }
}

/* tablets */
@media (min-width: 601px) and (max-width: 768px) {
  body {
    margin: 0 auto;
    padding: 0;
    width: 100%;
    height: 120vh;
  }

  .topbar {
    width: 100%;
    background-color: #22212d;
    padding: 20px 22px;
  }

  nav {
    margin: 0 auto;
    padding: 20px 30px;
  }

  nav li a {
    color: #1d1d1d;
    font-size: 13px;
  }

  .logo img {
    width: 200px;
  }

  .icon-text img {
    width: 15px;
    height: 15px;
  }

  #col-hero img {
    width: 15px;
    height: 15px;
    margin-inline-end: 7px;
  }

  #col-heroes {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: flex-end;
  }

  .icon-text span {
    font-size: 9px;
  }

  /* layer1 */
  #layer1 {
    max-height: 100%;
  }

  .background {
    height: 75%;
  }

  .content {
    height: 75%;
    padding: clamp(150px, 2vw, 50px) clamp(15px, 4vw, 40px); /* top/bottom left/right */
    margin: 0;
  }

  .header {
    text-align: center;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    padding: 0;
  }

  .header p {
    text-align: center;
    margin: 0 auto;
    /* padding-top: 80px; */
    font-size: clamp(1.8125rem, 0.4732rem + 3.5714vw, 2.1875rem);
  }

  .text {
    margin-top: 10px;
  }

  .header span {
    font-size: clamp(0.9375rem, 0.7143rem + 0.5952vw, 1rem);
  }

  .box-container {
    justify-content: center;
    align-items: center;
    text-align: center;
  }

  .box {
    width: 85px;
    height: 85px;
  }
  .box-text {
    font-size: clamp(0.9375rem, 0.7143rem + 0.5952vw, 1rem);
  }

  /* clients */
  .clients {
    height: 280px;
    padding: 40px 5px;
    margin: 0 auto;
  }

  .clients:before,
  .clients:after {
    width: 200px;
    height: 100%;
  }

  /* product */
  .product {
    margin: 0 auto;
    padding: clamp(150px, 2vw, 50px) clamp(15px, 4vw, 40px);
    width: 100%;
    height: auto;
  }

  .product-title {
    width: 100%;
    height: auto;
  }
  .product-title p {
    font-size: clamp(1.25rem, 0.1254rem + 2.994vw, 1.5625rem);
  }
  .card {
    margin-bottom: 20px;
  }

  /* about us */
  .about-us {
    width: 100%;
    height: auto;
    padding: 0;
    margin: 0 auto;
  }

  #row-details {
    width: 100%;
    margin: 0 auto;
    padding: 50px 100px;
  }

  footer {
    margin: 0 auto;
    /* padding: 20px 50px; */
    padding: clamp(150px, 2vw, 50px) clamp(15px, 4vw, 40px);
    height: auto;
  }

  #footer-row {
    margin: 0 auto;
    padding: 0;
    width: 0 auto;
    padding: 0;
  }

  .text-align-end p {
    text-align: center;
  }

  .responsive-align {
    text-align: center;
  }

  .card-responsive {
    margin-bottom: 1.5rem;
  }
  /* shop */
  .shop {
    margin: 0 auto;
    padding: 50px 30px;
    height: auto;
    width: 100%;
  }

  .card-responsive {
    margin-bottom: 1.5rem;
  }
  
  /* faqs */

  .faqs {
    margin: 0 auto;
    padding: 50px 30px;
    height: auto;
    width: 100%;
  }

  .faqs p {
  font-size: clamp(1.125rem, 0.6751rem + 1.1976vw, 1.25rem);
  }
  
  
   #pac p {
   font-size: clamp(1.125rem, 0.6751rem + 1.1976vw, 1.25rem);
  }

  .nav-tabs {
    padding: 15px;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
  }

  .nav-tabs .nav-link {
    font-size: clamp(0.625rem, -0.5064rem + 3.012vw, 0.9375rem);
  }

  /* contact us */

  .contact_us {
    margin: 0 auto;
    padding: 50px 30px;
    width: 100%;
    height: auto;
  }

  .contact_us p {
    font-size: clamp(0.625rem, -8.4262rem + 24.0964vw, 3.125rem);
  }

  #row-info p {
    font-size: clamp(0.625rem, -3.9006rem + 12.0482vw, 1.875rem);
  }
  #row-info span {
    font-size: clamp(0.625rem, -1.6378rem + 6.0241vw, 1.25rem);
  }
  .contact_us span {
    font-size: clamp(0.9375rem, -1.9643rem + 7.7381vw, 1.75rem);
  }

  .iframe {
    padding: 20px 20px;
    width: 100%;
  }

  .iframe iframe {
    width: 100%;
    height: 100%;
    border: 0;
  }
}

/*phones*/
@media (min-width: 481px) and (max-width: 600px) {
  body {
    margin: 0 auto;
    padding: 0;
  }

  /* navbar */

  nav {
    margin: 0;
    padding: 10px 50px;
  }

  .logo img {
    width: 200px;
  }

  #menuList {
    position: fixed;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: #444;
    flex-direction: column;
    gap: 30px;
    padding: 60px 20px;
    transition: left 0.3s ease;
    display: flex;
    z-index: 999;
    transition: all 0.5s;
  }
  #menuList.active {
    left: 0;
  }

  .menu-icon {
    display: block;
  }

  nav ul li a {
    text-decoration: none;
    color: #ffffff;
  }

  nav ul {
    display: none;
  }

  .close-btn {
    align-self: flex-end;
    font-size: 24px;
    color: white;
    cursor: pointer;
    margin-bottom: 20px;
    display: block;
  }

  /* topbar */

  .icon-text img {
    width: 18px;
    height: 18px;
  }

  #col-hero img {
    width: 16px;
    height: 15px;
    margin-inline-end: 5px;
  }
  .topbar {
    width: 100%;
    background-color: #22212d;
    padding: 20px 50px;
  }

  #toprow {
    margin: 0;
    align-items: center;
    justify-content: center;
  }

  .icon-text span {
    background-color: transparent;
    font-size: 8px;
  }

  .icon-text {
    align-items: center;
    margin: 0;
    display: flex;
    align-items: center;
    gap: 3px;
    color: #ffffff;
  }

  #col-heroes {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: flex-end;
  }

  /* content */
  .content {
    padding: clamp(90px, 2vw, 50px) clamp(15px, 4vw, 40px); /* top/bottom left/right */
    margin: 0;
    height: auto;
  }

  #layer1 {
    height: auto;
    margin: 0 auto;
    padding: 0;
  }

  .header {
    text-align: center;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    padding: 0;
  }

  .header p {
    text-align: center;
    margin: 0 auto;
    /* padding-top: 80px; */
    font-size: clamp(1.8125rem, 0.4732rem + 3.5714vw, 2.1875rem);
  }

  .text {
    margin-top: 10px;
  }

  .header span {
    font-size: clamp(0.9375rem, 0.7143rem + 0.5952vw, 1rem);
  }

  .box-container {
    justify-content: center;
    align-items: center;
    text-align: center;
  }

  .box {
    width: 85px;
    height: 85px;
  }
  .box-text {
    font-size: clamp(0.9375rem, 0.7143rem + 0.5952vw, 1rem);
  }

  .product {
    padding: 50px 20px;
    height: auto;
    width: 100%;
  }
  .product-title p {
    font-size: clamp(0.9375rem, -0.625rem + 5vw, 1.25rem);
  }

  .about-us {
    width: 100%;
    height: auto;
    padding: 0;
    margin: 0 auto;
  }

  #row-details {
    width: 100%;
    margin: 0 auto;
    padding: 50px 90px;
  }

  footer {
    padding: 50px 10px;
  }

  #footer-row {
    margin: 0 auto;
    padding: 0;
    width: 0 auto;
    padding: 0;
  }

  .text-align-end p {
    text-align: center;
  }

  .responsive-align {
    text-align: center;
  }

  /* shop */
  .shop {
    margin: 0 auto;
    padding: 50px 30px;
    height: auto;
    width: 100%;
  }

  .card-responsive {
    margin-bottom: 1.5rem;
  }


  /* faqs */

  .faqs {
    margin: 0 auto;
    padding: 50px 10px;
    height: auto;
    width: 100%;
  }

  .faqs p {
   font-size: clamp(1.125rem, 0.6751rem + 1.1976vw, 1.25rem);
  }
  
  
   #pac p {
  font-size: clamp(1.125rem, 0.6751rem + 1.1976vw, 1.25rem);
  }

  .nav-tabs {
    padding: 15px;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
  }

  .nav-tabs .nav-link {
    font-size: clamp(0.625rem, -1.1852rem + 4.8193vw, 1.125rem);
  }

  /* contact us */

  .contact_us {
    margin: 0 auto;
    padding: 50px 30px;
    width: 100%;
    height: auto;
  }

  .contact_us p {
    font-size: clamp(0.625rem, -8.2169rem + 29.4118vw, 2.8125rem);
  }
  .contact_us span {
    font-size: clamp(0.625rem, -1.9013rem + 8.4034vw, 1.25rem);
  }
  #row-info p {
    font-size: clamp(0.625rem, -0.6381rem + 4.2017vw, 0.9375rem);
  }
  #row-info span {
    font-size: clamp(0.625rem, 0.1197rem + 1.6807vw, 0.75rem);
  }

  .iframe {
    padding: 20px 20px;
    width: 100%;
  }

  .iframe iframe {
    width: 100%;
    height: 100%;
    border: 0;
  }
}

/*small phones*/
@media (max-width: 480px) {
  body {
    margin: 0 auto;
    padding: 0;
  }

  /* navbar */

  nav {
    margin: 0;
    padding: 10px 50px;
  }

  .logo img {
    width: 120px;
  }

  #menuList {
    position: fixed;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: #444;
    flex-direction: column;
    gap: 30px;
    padding: 60px 20px;
    transition: left 0.3s ease;
    display: flex;
    z-index: 999;
    transition: all 0.5s;
  }
  #menuList.active {
    left: 0;
  }

  .menu-icon {
    display: block;
  }

  nav ul li a {
    text-decoration: none;
    color: #ffffff;
  }

  nav ul {
    display: none;
  }

  .close-btn {
    align-self: flex-end;
    font-size: 24px;
    color: white;
    cursor: pointer;
    margin-bottom: 20px;
    display: block;
  }

  /* topbar */

  .icon-text img {
    width: 18px;
    height: 18px;
  }

  #col-hero img {
    width: 16px;
    height: 15px;
    margin-inline-end: 5px;
  }
  .topbar {
    width: 100%;
    background-color: #22212d;
    padding: 20px 50px;
  }

  #toprow {
    margin: 0;
    align-items: center;
    justify-content: center;
  }

  .icon-text span {
    background-color: transparent;
    font-size: 8px;
  }

  .icon-text {
    align-items: center;
    margin: 0;
    display: flex;
    align-items: center;
    gap: 3px;
    color: #ffffff;
  }

  #col-heroes {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: flex-end;
  }

  /* content */
  .content {
    padding: clamp(90px, 2vw, 50px) clamp(15px, 4vw, 40px); /* top/bottom left/right */
    margin: 0;
    height: auto;
  }

  #layer1 {
    height: auto;
    margin: 0 auto;
    padding: 0;
  }

  .header {
    text-align: center;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    padding: 0;
  }

  .header p {
    text-align: center;
    margin: 0 auto;
    /* padding-top: 80px; */
    font-size: clamp(1.8125rem, 0.4732rem + 3.5714vw, 2.1875rem);
  }

  .text {
    margin-top: 10px;
  }

  .header span {
    font-size: clamp(0.9375rem, 0.7143rem + 0.5952vw, 1rem);
  }

  .box-container {
    justify-content: center;
    align-items: center;
    text-align: center;
  }

  .box {
    width: 85px;
    height: 85px;
  }
  .box-text {
    font-size: clamp(0.9375rem, 0.7143rem + 0.5952vw, 1rem);
  }

  .product {
    padding: 50px 20px;
    height: auto;
    width: 100%;
  }
  .product-title p {
    font-size: clamp(0.9375rem, -0.625rem + 5vw, 1.25rem);
  }

  .about-us {
    width: 100%;
    height: auto;
    padding: 0;
    margin: 0 auto;
  }

  #row-details {
    width: 100%;
    margin: 0 auto;
    padding: 50px 50px;
  }

  footer {
    padding: 50px 10px;
  }

  #footer-row {
    margin: 0 auto;
    padding: 0;
    width: 0 auto;
    padding: 0;
  }

  .text-align-end p {
    text-align: center;
  }

  .responsive-align {
    text-align: center;
  }

  .shop {
    margin: 0 auto;
    padding: 50px 30px;
    height: auto;
    width: 100%;
  }

  .card-responsive {
    margin-bottom: 1.5rem;
  }
  
  /*shop */
  
  

  /* faqs */

  .nav-tabs {
    padding: 15px;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
  }


  .faqs {
    margin: 0 auto;
    padding: 50px 5px;
    height: auto;
    width: 100%;
  }


  .faqs p {
   font-size: clamp(1.125rem, 0.6751rem + 1.1976vw, 1.25rem);
  }
  
  
   #pac p {
  font-size: clamp(1.125rem, 0.6751rem + 1.1976vw, 1.25rem);
  }
  
  .nav-tabs .nav-link {
    font-size: clamp(0.625rem, -1.1852rem + 4.8193vw, 1.125rem);
  }

  #about {
    padding: 30px 15px;
  }


  /* contact us */

  .contact_us {
    margin: 0 auto;
    padding: 50px 30px;
    width: 100%;
    height: auto;
  }

  .contact_us p {
    font-size: clamp(0.625rem, -11.875rem + 50vw, 3.125rem);
  }
  .contact_us span {
    font-size: clamp(0.625rem, -2.5rem + 12.5vw, 1.25rem);
  }
  #row-info p {
    font-size: clamp(0.625rem, -1.875rem + 10vw, 1.125rem);
  }
  #row-info span {
    font-size: clamp(0.625rem, 0.625rem + 0vw, 0.625rem);
  }

  .iframe {
    padding: 20px 20px;
    width: 100%;
  }

  .iframe iframe {
    width: 100%;
    height: 100%;
    border: 0;
  }
}
